[PATCH] Prepare model.h files for merge

diff -urN -X exclude a/NQ/model.h head/NQ/model.h
--- a/NQ/model.h	2005-11-27 18:36:48.000000000 +1030
+++ head/NQ/model.h	2006-06-10 20:47:00.000000000 +0930
@@ -27,6 +27,10 @@
 #include "spritegn.h"
 #include "zone.h"
 
+#ifdef QW_HACK
+#include "bothdefs.h"
+#endif
+
 /*
 
 d*_t structures are on-disk representations
@@ -35,12 +39,12 @@
 */
 
 // entity effects
-
-#define	EF_BRIGHTFIELD	1
-#define	EF_MUZZLEFLASH 	2
-#define	EF_BRIGHTLIGHT 	4
-#define	EF_DIMLIGHT 	8
-
+#define EF_BRIGHTFIELD	1
+#define EF_MUZZLEFLASH 	2
+#define EF_BRIGHTLIGHT 	4
+#define EF_DIMLIGHT 	8
+#define EF_FLAG1	16
+#define EF_FLAG2	32
 #define EF_BLUE		64
 #define EF_RED		128
 
@@ -308,6 +312,14 @@
     vec3_t mins, maxs;
     float radius;
 
+#ifdef QW_HACK
+//
+// solid volume for clipping (sent from server)
+//
+    qboolean clipbox;
+    vec3_t clipmins, clipmaxs;
+#endif
+
 //
 // brush model
 //
@@ -355,6 +367,11 @@
     byte *lightdata;
     char *entities;
 
+#ifdef QW_HACK
+    unsigned checksum;		// for world models only
+    unsigned checksum2;		// for world models only
+#endif
+
 //
 // additional model data
 //
diff -urN -X exclude a/QW/client/model.h head/QW/client/model.h
--- a/QW/client/model.h	2005-01-15 15:48:49.000000000 +1030
+++ head/QW/client/model.h	2006-06-10 20:46:55.000000000 +0930
@@ -21,13 +21,16 @@
 #ifndef MODEL_H
 #define MODEL_H
 
-#include "bothdefs.h"
 #include "bspfile.h"
 #include "modelgen.h"
 #include "render.h"
 #include "spritegn.h"
 #include "zone.h"
 
+#ifdef QW_HACK
+#include "bothdefs.h"
+#endif
+
 /*
 
 d*_t structures are on-disk representations
@@ -309,11 +312,13 @@
     vec3_t mins, maxs;
     float radius;
 
+#ifdef QW_HACK
 //
 // solid volume for clipping (sent from server)
 //
     qboolean clipbox;
     vec3_t clipmins, clipmaxs;
+#endif
 
 //
 // brush model
@@ -362,8 +367,10 @@
     byte *lightdata;
     char *entities;
 
+#ifdef QW_HACK
     unsigned checksum;		// for world models only
     unsigned checksum2;		// for world models only
+#endif
 
 //
 // additional model data
@@ -379,6 +386,7 @@
 model_t *Mod_ForName(char *name, qboolean crash);
 void *Mod_Extradata(model_t *mod);	// handles caching
 void Mod_TouchModel(char *name);
+void Mod_Print(void);
 
 mleaf_t *Mod_PointInLeaf(float *p, model_t *model);
 byte *Mod_LeafPVS(mleaf_t *leaf, model_t *model);
